Community
cancel
Showing results for 
Search instead for 
Did you mean: 
akcalar__samet
Beginner
575 Views

How to configure Openvino ToolKit eclipse ide in UBuntu 16.04

Jump to solution

I want to use security_barrier_camera application.I installed openvino toolkit.than I want to run security_barrier_camera application in eclipse ide.?It is not runed .it gived to me some erorrs.Anybody help me please

0 Kudos
1 Solution
Mspiz
New Contributor I
575 Views
30 Replies
Mark_L_Intel1
Moderator
433 Views

Hi Samet,

For Eclipse, normally it requires a plugin to configure the runtime environment, did you set up the environment yet?

Mark

akcalar__samet
Beginner
433 Views

security_barrier_camera.jpg

akcalar__samet
Beginner
433 Views

I want to run security_barrier_camera application in eclipse in ubuntu 16.04 LTS.but some problem as you screenshoot.Help me please?
 

Mark_L_Intel1
Moderator
433 Views

Yes, I can see what you got.

There is an Eclipse C/C++ bundle package, did you try that?

I checked our document, we only support Visual Studio in Windows and no IDE support in Linux. Let me know if you see different info.

So we are only try different IDE now. I used Eclipse for a long time, in general, I never did a complete successful configuration with the C/C++, . I would recommend Qt as a start.

If I were you to setup IDE, I will try to make a hello world example and build/debug it successfully, then move to OpenVINO sample. Please note, when you try the hello world example, not only you have to check the build but you also have to make sure, the compiler and the CMake version are aligned to OpenVINO requirements.

Mark.

akcalar__samet
Beginner
433 Views

I tried on Qt C/C++.I got same error. Fİrst eror;

/opt/intel/computer_vision_sdk_2018.2.319/deployment_tools/inference_engine/include/cpp/ie_infer_request.hpp:85:9: note: in expansion of macro ‘CALL_STATUS_FNC’
         CALL_STATUS_FNC(SetBlob, name.c_str(), data);

/opt/intel/computer_vision_sdk_2018.2.319/deployment_tools/inference_engine/include/details/ie_exception_conversion.hpp:23:6: error: ‘res’ does not name a type

 

 

How Can I solve it?.How Can I run security_barrier_camera application in Ubuntu 16.04? with any IDE or without IDE help me please?

 

Mark_L_Intel1
Moderator
433 Views

Hi Samet,

Sorry I had some mistake and you did installed CDT which I omitted in my previous post.

But I am confused with your goal now, are you trying to run security_barrier_camera successfully or enable IDE?

If your goal is trying to run our sample but have a difficulty in the command line, I can definitely help you. But I am looking for this app in our package I can't find security_barrier_camera either?

Mark 

akcalar__samet
Beginner
433 Views

I want to use security_barrier_camera,
Firstly;is it possible to run and configure security_barrier_camera app in eclipse?
if it is possible ,how can ı run it ?  When I work security_barrier_camera source code,I get error on up picture.How can I solve it?
if it is doesn't work  eclipse,how can ı  configure and run terminal ?
ı use Linux 64 bit ubuntu 16.04
Please help me...

 

 

 


 

Mark_L_Intel1
Moderator
433 Views

Hi Samet,

To run security-barrier-camera, did you refer to the following online document?

https://software.intel.com/en-us/articles/OpenVINO-IE-Samples#security-barrier-camera

To build it, go to directory "~/computer_vision_sdk_2018.2.319/deployment_tools/inference_engine/samples" and then run "setupvars.sh" to setup the environment variables, please note you can edit "setupvars.sh" so "INSTALLDIR" points to the root directory you preferred, it points to /opt/intel/computer_vision_sdk_<version> by default.

After this, you can run "./build_samples.sh", at the end of the build message, it will show where the built binary is saved, You can go to <build root>/inference_engine_samples_build/intel64/Release and run it according to the above document.

Does this solve your problem?

Mark

akcalar__samet
Beginner
433 Views

error_security_barrier_camera.jpg.png

akcalar__samet
Beginner
433 Views

I got this.But I want to use security_barrier_camera in eclipse ide.İs it possible to use it in eclipse ide?if it is possible ;how can ı use it?
When I compiled securrity_barrier_camera app.I got error in photo.Also I tried to compiled it in Qt C,C++.İs it possible to compile and run eclipse ide or other ide ?is it possible? (System ubuntu 16.04 64 bit)

Mark_L_Intel1
Moderator
433 Views

I think it is possible but I don't have time to try it. This is the time consuming project and you need to tweak the project properties setting.

One basic idea for eclipse is, it depends on the environment variables to work. Could you check the following document to see if it helps?

https://help.eclipse.org/neon/index.jsp?topic=%2Forg.eclipse.cdt.doc.user%2Ftasks%2Fcdt_t_proj_paths...

Mark 

akcalar__samet
Beginner
433 Views

Screenshot from 2018-08-30 00-06-49.png

akcalar__samet
Beginner
433 Views

Screenshot from 2018-08-30 00-07-01.png

akcalar__samet
Beginner
433 Views

I did in the picture. But I had a error which see picture. What should I include ?if you run in eclipse ide and tell me ;I will be so happy.I am trying to run in eclipse  ide for 2 weeks.I didn't do it.Help me please.

Mark_L_Intel1
Moderator
433 Views

Hi Samet,

I don't have the eclipse CDT setup in my system, it should be easy to set it up but it takes time. Since I am very busy on other issue, could you try yourself.

From your answer, I can't tell which error you are in now, are you still have the parsing error of the first picture?

You might be little bit focus on the details. In the link I forwarded you, it says to put include directory under "Paths and symbols" under "C/C++ General" tab, from the screen capture you posted, this is not the same. 

Did you do as directed by the page?

Mark 

akcalar__samet
Beginner
433 Views

Screenshot from 2018-08-30 03-20-32.png

akcalar__samet
Beginner
433 Views

Screenshot from 2018-08-30 03-21-04.png

akcalar__samet
Beginner
433 Views

Screenshot from 2018-08-30 03-21-17.png

Mark_L_Intel1
Moderator
433 Views

Hi Samet,

I am still confused what your problem is, but the library tabs you showed should not fix the error in the first picture, you should check include and symbol tabs, make sure all the include file which causes the problem is include in these tabs.

Mark

akcalar__samet
Beginner
195 Views

Hİ Mark,

I did like  pictures.But ;I got same error up to first picture.I focused  lots time.Unfourtunetly ;I didn't solve this problem.Please help me

Thank you.

Reply